al_create_timer(3)

NAME

al_create_timer - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_TIMER *al_create_timer(double speed_secs)

DESCRIPTION

Allocates and initializes a timer. If successful, a pointer to a new timer object is returned, otherwise NULL is returned. speed_secs is in seconds per "tick", and must be positive. The new timer is initially stopped.

Usage note: typical granularity is on the order of microseconds, but with some drivers might only be milliseconds.

SEE ALSO

al_start_timer(3), al_destroy_timer(3)